/*
ECE649 Spring 2010
Group 7
Justin Ray/justinr2
(other names would go here)
 */
package simulator.elevatorcontrol;

/**
 * Author: Justin Ray/justinr2
 *
 * This class defines constants for the CAN IDs that are used elsewhere in the
 * controller implementations.
 *
 * Note that this class defines constants for messages sent by system modules
 * so some of these constants cannot be renamed or removed without causing
 * the code to be uncompilable.
 *
 */
public class MessageDictionary {
    
    
    //module message IDs
    public final static int EMPTY_BASE_CAN_ID =                 0x0ABC4600;
    public final static int COIN_RETURN_CAN_ID =                0x09F43200;
    public final static int VEND_POSITION_BASE_CAN_ID =         0x08640A00;

    //controller message IDs
    public final static int BUTTON_BASE_CAN_ID =                0x09902800;
    public final static int VEND_CAN_ID =                       0x08C81400;
    public final static int COIN_COUNT_CAN_ID =                 0x0A583C00;
    public final static int VEND_MOTOR_CAN_ID =                 0x092C1E00;


}
