/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package simulator.elevatormodules;

import java.util.BitSet;
import simulator.payloads.CanMailbox;
import simulator.payloads.translators.CanPayloadTranslator;

/**
 *
 * @author justinr2
 */
public class BooleanCanTranslator extends CanPayloadTranslator {

    String name;

    BooleanCanTranslator(CanMailbox payload, int expectedMask, String name) {
        super(payload, 1, expectedMask);
        this.name = name;
    }

    //required for reflection
    public void set(boolean value) {
        setValue(value);
    }

    public void setValue(boolean value) {
        BitSet b = mailbox.getMessagePayload();
        b.set(0, value);
        mailbox.setMessagePayload(b, byteSize);
    }

    public boolean getValue() {
        return mailbox.getMessagePayload().get(0);
    }

    @Override
    public String payloadToString() {
        return name + " = " + getValue();
    }
    }

