/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package simulator.elevatormodules;

import jSimPack.SimTime;
import simulator.payloads.LightPayload;

/**
 *
 * @author kamikasee
 */
public class ButtonLight extends Module {

    private int index;
    private LightPayload localLight;

    public ButtonLight(int index, boolean verbose) {
        super(SimTime.ZERO, "ButtonLight[" + index + "]", verbose);
        this.index = index;

        localLight = new LightPayload(index);
        physicalConnection.registerEventTriggered(localLight);
    }

    @Override
    public void receive(LightPayload msg) {
        localLight.lighted = msg.lighted;
    }

    public boolean isLighted() {
        return localLight.lighted;
    }



}
