package simulator.elevatormodules;

import simulator.elevatorcontrol.MessageDictionary;
import simulator.framework.ReplicationComputer;
import simulator.payloads.CanMailbox;

public class VendPositionCanPayloadTranslator extends BooleanCanTranslator {

    public VendPositionCanPayloadTranslator(CanMailbox payload, int index) {
        super(payload, MessageDictionary.VEND_POSITION_BASE_CAN_ID + ReplicationComputer.computeReplicationId(index), "VendPosition[" + index + "]");
    }
}
